import { Component, OnInit } from '@angular/core';
import { InternalPageService } from '../../shared/internal-page.service';

@Component({
  selector: 'app-hospital-content',
  templateUrl: './hospital-content.component.html',
  styleUrls: ['./hospital-content.component.css']
})
export class HospitalContentComponent implements OnInit {

  constructor(private internalService: InternalPageService) { }

  hospitalCenters = [];

  ngOnInit() {

    this.internalService.getHospitalCenterList().subscribe(
      (responce) => {
        console.log(responce);
        this.hospitalCenters = responce['hospitals_centers'];
        console.log(this.hospitalCenters);
      },
      (error) => {
        console.log(error);
      }
    )
  }

  getInformationData(data) {
    for(let i = 0; i < this.hospitalCenters.length; i++) {
      if(data.id == this.hospitalCenters[i].id) {
        this.hospitalCenters[i].id = 1;
        alert(this.hospitalCenters[i].id);
      } else{
        this.hospitalCenters[i].id = 0;
      }
    }
  }

}
